library filefromeditor;

uses
  SysUtils,
  Classes,
  Types,
  Dialogs;

{$R *.res}

{##############################################################################################################}
{##############################################################################################################}

{                       GLTIG AB AT HTML EDITOR 32.3                                                          }

{##############################################################################################################}
{##############################################################################################################}

//---------------------------------------------------------------------
//  BEARBEITET DEN STRING OHNE FORMULAR UND GIBT IHN ZURCK
//  DIE MAX. GRE EINES STRINGS, DER ZU VB OHNE FEHLER ZURCKGEGEBEN
//  WERDEN KANN, IST 1200 ZEICHEN (1200 BYTE - SCHON MAL 10000 BYTE) -
//  SPEICHERHANDLING VON VB
//  DAGEGEN KANN EIN STRING VON MAX. 64000 ZEICHEN PROBLEMLOS
//  BERNOMMEN WERDEN
//---------------------------------------------------------------------
function pluginrun(text:PChar):PChar; stdcall;
begin
//****************************************************************************************************
//  RCKGABE-TYPEN -> UNBEDINGT BEACHTEN -> MU MIT RCKGABETYPEN IN DER FUNKTION pluginbackvalue
//  BEREINSTIMMEN !!!
//****************************************************************************************************
//------------------------------------------------------------------------------------------
//WENN EINE WERTERCKGABE AN AT HTML EDITOR ERFOLGEN SOLL, MU DIESE result-ZEILE AKTIVIERT
//WERDEN UND DIE NACHFOLGENDE AUSKOMENTIERT
//BETRIFFT result := 1; UND result := 2; IN DER FUNKTION pluginbackvalue
//------------------------------------------------------------------------------------------
  //result := PChar('Ein bearbeiteter Text!');           //WERT ZURCKGEBEN
                                                         //SOLLTE IMMER EINE ZEICHENFOLGE VOM TYP string SEIN
//------------------------------------------------------------------------------------------
//WENN KEINE RCKGABE ERFOLGEN SOLL, MU DIESE result-ZEILE AKTIVIERT WERDEN UND DIE OBER
//AUSKOMMENTIERT
//BETRIFFT result := 0; UND result := 3; IN DER FUNKTION pluginbackvalue
//------------------------------------------------------------------------------------------
  ShowMessage('Dateiname ... '#13#10#13#10 + text + #13#10#13#10' ... erfolgreich an das Plugin bergeben!');
  result := nil;                       //NICHTS ZURCKGEBEN
//****************************************************************************************************

end;

{##############################################################################################################}
{##############################################################################################################}

//---------------------------------------------------------------------
//  VARIABLE, DIE FESTLEGT, OB EINE WERTERCKGABE ERFOLGEN SOLL ODER
//  NICHT - ALSO NUR TEXT WIRD ZUR WEITERVEARBEITUNG BERNOMMEN
//---------------------------------------------------------------------
function pluginbackvalue : Integer; stdcall;
begin

//*********************************************************************************
//MITTELS DER RCKGABETYPEN KANN DAS VERHALTEN VON AT HTML EDITOR BEEINFLUT WERDEN
//*********************************************************************************

//  RCKGABETYP  |        ERKLRUNG                  | EINSTELLUNG IN ANDERER FUNKTION
//-------------------------------------------------------------------------------------------------------------
//  result := 0; | ES WIRD KEIN WERT ZURCKGEGEBEN   | FUNKTION: pluginrun, RCKGABE: result := nil;
//  result := 1; | TEXT WIRD ZURCKGEGEBEN           | FUNKTION: pluginrun, RCKGABE: result := PChar(Text);
//  result := 2; | DATEINAME WIRD ZURCKGEGEBEN      | FUNKTION: pluginrun, RCKGABE: result := PChar(Dateiname);
//  result := 3; | DATEINAME WIRD AN PLUGIN BERGEBEN| FUNKTION: pluginrun, RCKGABE: result := nil;

//  ZU BEACHTEN IST, DA BEI result := 2; DIE DATEI MIT DEM KOMPLETTEN PFAD ZURCKGEGEBEN WERDEN MU !
//  WENN TEXT AN DAS PLUGIN BERGEBEN WERDEN SOLL, MU DIESER ZUVOR MARKIERT WERDEN. WIRD KEIN TEXT
//  MARKIERT, WIRD AUCH KEIN TEXT AN DAS PLUGIN BERGEBEN !

  //result := 0;
  //result := 1;
  //result := 2;
  result := 3;
end;

{##############################################################################################################}
{##############################################################################################################}

//---------------------------------------------------------------------
//  NAME DES PLUGINS
//---------------------------------------------------------------------
function pluginname : PChar; stdcall;
begin
  result := PChar('Dateiname');
end;

//---------------------------------------------------------------------
//  KURZE BESCHREIBUNG DER FUNKTIONALITT DES PLUGINS
//---------------------------------------------------------------------
function plugindescription : PChar; stdcall;
begin
  result := PChar('bernimmt einen von AT HTML Editor bergebenen Dateinamen, der im Plugin weiterverarbeitet werden kann!');
end;

{##############################################################################################################}
{##############################################################################################################}

//---------------------------------------------------------------------
//  EXPORTIERT DIE FUNKTION, DIE DURCH DAS EXTERNE PROGRAMM
//  ANGESPROCHEN WERDEN SOLLEN
//---------------------------------------------------------------------
exports
  pluginrun,
  pluginname,
  plugindescription,
  pluginbackvalue;

{##############################################################################################################}
{##############################################################################################################}
begin
end.
